﻿namespace ManagedInstallerWixExtension
{
    public enum CustomActionSequence
    {
        // execution scheduling flags, default is execute whenever sequenced
        FirstSequence    = 0x00000100,  // skip if UI sequence already run
        OncePerProcess   = 0x00000200,  // skip if UI sequence already run in same process
        ClientRepeat     = 0x00000300,  // run on client only if UI already run on client
        InScript         = 0x00000400,  // queue for execution within script
        Rollback         = 0x00000100,  // in conjunction with InScript: queue in Rollback script
        Commit           = 0x00000200,  // in conjunction with InScript: run Commit ops from script on success
        PatchUninstall   = 0x00008000,  // run on patch uninstall
    }
}
