namespace ManagedInstallerWixExtension
{
    public enum CustomActionExecutionOptions
    {
        IgnoreReturnStatus = 0x00000040,  // ignore action return status, continue running
        RunAsync = 0x00000080,  // run asynchronously
        // security context flag, default to impersonate as user, valid only if InScript
        NoImpersonate = 0x00000800,  // no impersonation, run in system context
        TerminalServerAware = 0x00004000,  // impersonate for per-machine installs on TS machines
        X64BitScript = 0x00001000,  // script should run in 64bit process
        HideTarget = 0x00002000,  // don't record the contents of the Target field in the log file.
    }
}