namespace ManagedInstallerWixExtension
{
    public enum CustomActionSource
    {
        ///<summary>
        /// Source = Binary.Name, data stored in stream
        /// </summary>
        BinaryData = 0x00000000,
        ///<summary>
        /// Source = File.File, file part of installation
        /// </summary>
        SourceFile = 0x00000010,
        ///<summary>
        /// Source = Directory.Directory, folder containing existing file
        /// </summary>
        Directory = 0x00000020,
        ///<summary>
        /// Source = Property.Property, full path to executable
        /// </summary>
        Property = 0x00000030,  
 
    }
}