﻿using System.Reflection;
using Microsoft.Tools.WindowsInstallerXml;

namespace ManagedInstallerWixExtension
{
    public class ManagedInstallerExtension: WixExtension
    {
        private CompilerExtension _Instance;

        public override Library GetLibrary(TableDefinitionCollection tableDefinitions)
        {
            return LoadLibraryHelper(Assembly.GetExecutingAssembly(), "ManagedInstallerWixExtension.Include.ManagedInstallerWixlib.wixlib", tableDefinitions);
        }
        public override CompilerExtension CompilerExtension
        {
            get
            {
                if (_Instance == null)
                {
                    _Instance = new ManagedInstallerCompiler();
                }

                return _Instance;
            }
        }
    }
}
